Subject: [AVT] Fwd: I-D ACTION:draft-eggert-tsvwg-udp-guidelines-01.txt

From: Colin Perkins <[email-masked]>
Date: Wed, 21 Mar 2007 13:49:12 +0100

Begin forwarded message:
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
>
> 	Title		: UDP Usage Guidelines for Application Designers
> 	Author(s)	: L. Eggert
> 	Filename	: draft-eggert-tsvwg-udp-guidelines-01.txt
> 	Pages		: 11
> 	Date		: 2007-3-20
> 	
> The User Datagram Protocol (UDP) provides a minimal, message-passing
>    transport that has no inherent congestion control mechanisms.
>    Because congestion control is critical to the stable operation  
> of the
>    Internet, applications and upper-layer protocols that choose to use
>    UDP as an Internet transport must employ mechanisms to prevent
>    congestion collapse and establish some degree of fairness with
>    concurrent traffic.  This document provides guidelines on the  
> use of
>    UDP for the designers of such applications and upper-layer  
> protocols
>    that cover congestion-control and other topics, including message
>    sizes and reliability.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-eggert-tsvwg-udp- 
> guidelines-01.txt

Since RTP-based applications are heavy users of UDP, this is relevant  
to AVT. Review is solicited - comments to the author (cc'd) or the  
TSVWG mailing list (this draft is targeted to become a work item of  
TSVWG, and eventually a Best Current Practice RFC, so it will affect  
future RTP standards).

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: lazzaro <[email-masked]>
Date: Wed, 21 Mar 2007 11:24:23 -0700

> TSVWG, and eventually a Best Current Practice RFC, so it will affect

I think we should consider speaking with one voice as a WG on this one.

I'm not the right person to find a consensus position within AVT and  
then present
the message to TSVWG.  And so, this posting is a request for someone
who feels up to the task to take it on.  Good luck.

---
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
lazzaro [at] cs [dot] berkeley [dot] edu
---